CAPTOINFO(8V)

NAME
captoinfo - convert a termcap description into a terminfo description

SYNOPSIS
captoinfo [ -v ...] [-V] [-1] [-w width ] filename...

SYNOPSIS
/usr/5bin/captoinfo [ -v ...] [-V] [-1] [-w width ] filename...

AVAILABILITY
The System V version of this command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION
captoinfo converts the termcap(5) terminal description entries given in filename into terminfo(5V) source entries, and writes them to the standard output along with any comments found in that file. A description that is expressed as relative to another description (as specified in the termcap tc= capability) is reduced to the minimum superset before being written.

If no filename is given, then the environment variable TERMCAP is used for the filename or entry. If TERMCAP is a full pathname to a file, only the terminal-name is specified in the environment variable TERM is extracted from that file. If that environment variable is not set, then the file /etc/termcap is read.

OPTIONS

-v  Verbose. Print tracing information on the standard error as the program runs. Additional -v options increase the level of detail.

-V  Version. Display the version of the program on the standard error and exit.

-1  Print fields one-per-line. Otherwise, fields are printed several to a line, to a maximum width of 60 characters.

-w width
    Change the output to width characters.

FILES
/usr/share/lib/terminfo/?/*
    compiled terminal description database
/etc/termcap

SEE ALSO
curses(3V), termcap(5), terminfo(5V), infocmp(8V), tic(8V)

DIAGNOSTICS

tgetent failed with return code n (reason).
    The termcap entry is not valid. In particular, check for an invalid `tc=' entry.

unknown type given for the termcap code cc.
    The termcap description had an entry for cc whose type was not boolean, numeric or string.

wrong type given for the boolean (numeric, string) termcap code cc.
    The boolean termcap entry cc was entered as a numeric or string capability.

the boolean (numeric, string) termcap code cc is not a valid name.
    An unknown termcap code was specified.

tgetent failed on TERM=term.
    The terminal type specified could not be found in the termcap file.

TERM=term: cap cc (info ii) is NULL: REMOVED
    The termcap code was specified as a null string. The correct way to cancel an entry is with an `@', as in `:bs@:'. Giving a null string could cause incorrect assumptions to be made by the software which uses termcap or terminfo.

a function key for cc was specified, but it already has the value
    vv. When parsing the ko capability, the key cc was specified as having the same value as the capability cc, but the key cc already had a value assigned to it.

the unknown termcap name cc was specified in the ko termcap capability.
    A key was specified in the ko capability which could not be handled.

the vi character v (info ii) has the value xx, but ma gives n.
    The ma capability specified a function key with a value different from that specified in another setting of the same key.

the unknown vi key v was specified in the ma termcap capability.
    A vi(1) key unknown to captoinfo was specified in the ma capability.

Warning: termcap sg (nn) and termcap ug (nn) had different values.
    terminfo assumes that the sg (now xmc) and ug values were the same.

Warning: the string produced for ii may be inefficient.
    The parameterized string being created should be rewritten by hand.

Null termname given.
    The terminal type was null. This is given if the environment variable TERM is not set or is null.

cannot open filename for reading.
    The specified file could not be opened.

WARNINGS

Certain termcap defaults are assumed to be true. The bell character (terminfo bel) is assumed to be ^G. The linefeed capability (termcap nl) is assumed to be the same for both cursor_down and scroll_forward (terminfo cud1 and ind, respectively.) Padding information is assumed to belong at the end of the string.

The algorithm used to expand parameterized information for termcap fields such as cursor_position (termcap cm, terminfo cup) can sometimes produce a string that may not be optimal. In particular, the rarely used termcap operation %n produces strings that are especially long. Most occurrences of these non-optimal strings will be flagged with a warning message and may need to be recoded by hand.

The short two-letter name at the beginning of the list of names in a termcap entry, a hold-over from an earlier version of the system, has been removed.